
Core - Bug # 27230

Bug # 25335 (Resolved): Make TYPO3 free of NOTICE errors

Status: Closed Priority: Should have
Author: Stefan Neufeind Category:
Created: 2011-06-06 Assigned To: Stefan Neufeind
Updated: 2012-03-07 Due date:
TYPO3 Version: 4.4
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: cmpIPv4: prevent E_NOTICE, cleanup compare, testcases
Description

Cleanup E_NOTICE when no bitmask is supplied.

And while we're at it, cleanup the unreadable strcmp() at the end as well as provide testcases.

Associated revisions
Revision 2329466c - 2011-08-07 12:39 - Stefan Neufeind

[BUGFIX] cmpIPv4: prevent E_NOTICE, cleanup compare, testcases

Cleanup for an E_NOTICE on exploding the bitmask.
Replaced (correct working, but "unreadable") strcmp().
Add testcases.

Change-Id: I3836d3c53ab6093e3427047c4a5089778dd04ca2
Resolves: #27230
Releases: 4.3, 4.4, 4.5, 4.6
Reviewed-on: http://review.typo3.org/2536
Reviewed-by: Björn Pedersen
Tested-by: Björn Pedersen
Reviewed-by: Andreas Wolf
Tested-by: Andreas Wolf

Revision 02223a12 - 2012-03-06 20:39 - Stefan Neufeind

[BUGFIX] cmpIPv4: prevent E_NOTICE, cleanup compare, testcases

Cleanup for an E_NOTICE on exploding the bitmask.
Replaced (correct working, but "unreadable") strcmp().
Add testcases.

Change-Id: Idc28b66ce714ec26fc6cab68576e440f76421b4c
Resolves: #27230
Releases: 4.3, 4.4, 4.5, 4.6
Reviewed-on: http://review.typo3.org/7131
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind
Reviewed-by: Tolleiv Nietsch
Tested-by: Tolleiv Nietsch

Revision 413f0fab - 2012-03-06 20:40 - Stefan Neufeind

[BUGFIX] cmpIPv4: prevent E_NOTICE, cleanup compare, testcases

Cleanup for an E_NOTICE on exploding the bitmask.
Replaced (correct working, but "unreadable") strcmp().
Add testcases.

Change-Id: I99c7007e11cd3c9740ab6acfd770dd2ea8cd1545
Resolves: #27230
Releases: 4.3, 4.4, 4.5, 4.6
Reviewed-on: http://review.typo3.org/7129
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind
Reviewed-by: Tolleiv Nietsch
Tested-by: Tolleiv Nietsch

History
#1 - 2011-06-06 02:18 - Mr. Hudson

Patch set 1 of change I3836d3c53ab6093e3427047c4a5089778dd04ca2 has been pushed to the review server.
It is available at http://review.typo3.org/2536

#2 - 2011-06-06 08:31 - Mr. Hudson

Patch set 2 of change I3836d3c53ab6093e3427047c4a5089778dd04ca2 has been pushed to the review server.
It is available at http://review.typo3.org/2536

#3 - 2011-06-06 13:02 - Chris topher
- Parent task set to #25335

#4 - 2011-06-06 13:49 - Mr. Hudson

Patch set 3 of change I3836d3c53ab6093e3427047c4a5089778dd04ca2 has been pushed to the review server.
It is available at http://review.typo3.org/2536

#5 - 2011-08-03 15:55 - Mr. Hudson

Patch set 4 of change I3836d3c53ab6093e3427047c4a5089778dd04ca2 has been pushed to the review server.
It is available at http://review.typo3.org/2536
#6 - 2011-08-04 01:17 - Thorsten Kahler
- Status changed from New to Under Review
- Target version set to 4.6.0-beta2
- TYPO3 Version changed from 4.6 to 4.4

TYPO3 4.4 already contains the same code in t3lib_div::cmpIPv4() so IMHO this might be fixed in earlier versions as well.

#7 - 2011-08-04 02:27 - Mr. Hudson

Patch set 5 of change I3836d3c53ab6093e3427047c4a5089778dd04ca2 has been pushed to the review server.
It is available at http://review.typo3.org/2536

#8 - 2011-08-07 13:00 - Stefan Neufeind
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2329466c67a0a133c525567c79cd263819566151.

#9 - 2012-03-07 13:38 - Xavier Perseguers
- Status changed from Resolved to Closed
